
extdesc="TDB flavoured editing"

full_setup=`pwd`/${BASH_SOURCE}
fulldir=${full_setup%/*}
fulldir=${fulldir%/.}

if [ "x$GSDLHOME" = "x" ] ; then
  if [ -e ../../setup.bash ] ; then
    export gsopt_noexts=1 && pushd ../.. && source setup.bash && popd
    export gsopt_noexts=
  elif [ -e ../../gs3-setup.sh ] ; then
    export gsopt_noexts=1 && pushd ../.. && source gs3-setup.sh && popd
    export gsopt_noexts=
  fi

fi

if [ "x$GEXTTDBEDIT" = "x" ] ; then

  export TDBEDITOS=`uname -s | tr '[A-Z]' '[a-z]' | sed 's/\([0-9]\+\)\?_.*$//'`
  export GEXTTDBEDIT=$fulldir
  export GEXTTDBEDIT_INSTALLED=$GEXTTDBEDIT/$GSDLOS

  export PATH=$GEXTTDBEDIT_INSTALLED/bin:$fulldir/bin/script:$PATH

  if [ "x$LD_LIBRARY_PATH" = "x" ] ; then
    export LD_LIBRARY_PATH=$GEXTTDBEDIT_INSTALLED/lib
  else
    export LD_LIBRARY_PATH=$GEXTTDBEDIT_INSTALLED/lib:$LD_LIBRARY_PATH
  fi

  extdir=${GEXTTDBEDIT##*/}

  if [ "x$GSDLEXTS" = "x" ] ; then
    export GSDLEXTS=$extdir
  else 
    export GSDLEXTS=$GSDLEXTS:$extdir
  fi

  echo "+Your environment is now setup for $extdesc to Greenstone"
else
  echo "+Your environment is already setup for $extdesc to Greenstone"
fi


